Core - Feature # 33767

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:
PHP Version: 53

Complexity:

Sprint Focus:

Subject: Integrate possibility to build URL

Description

The PHP function parse_url() allows to split up URLs into separate parts.
However, TYPOS lacks the possibility to build an URL with the same arguments.

Example (round-trip):

$url = t3lib_utility _Http::buildUrl(
parse_url('http://typo3.org/")

);

Associated revisions

Revision 3340dbbf - 2012-02-08 19:27 - Andreas Wolf

[FEATURE] Integrate possibility to build URL

The PHP function parse_url() allows to split up URLs into
separate parts. However, TYPOS lacks of the possibility to
build an URL with the same arguments.

Example (round-trip):

$url = t3lib_utility_Http::buildUrl(
parse_url(‘http://typo3.org/)

);

Change-Id: 1e56128261527a2b5a568ca7b05f522b13ac3cf98
Resolves: #33767

Releases: 4.7

Reviewed-on: http://review.typo3.org/8909

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History

#1 - 2012-02-08 14:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
http://review.typo3.org/8909

It is available at http://review.typo3.0rg/8909

#2 - 2012-02-08 18:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8909

#3 - 2012-02-09 02:30 - Andreas Wolf
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3340dbbfcebdfecac70fcd68045b723e39a9a66a.

2015-08-04

22


http://review.typo3.org/8909
http://review.typo3.org/8909

